Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033035
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementmajorN/A2016-05-24 12:252017-06-08 17:12
ReporterairaceburuView Statuspublic 
Assigned Toairaceburu 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revisionc389a2ee19ab
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033035: New filters in Purchase Order Report

DescriptionAdd organization, business partner and status to Purchase Order Report and update the output consequently.

Also the whole report should be moved to a "Process Definition" in order to provide a different output for the XLS format.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00357013.0PR17Q3 closedcollazoandy4 Purchase Order Report might split order lines in PDF format 
related to defect 0035702 closednonofrancisco Performance improvements in Purchase Order Report PDF format 
related to defect 0035718 closedairaceburu API Break on Purchase Order Report Modifications project (try-api 4815) 
related to defect 0036834 closedcaristu jre8: js defaults containing Dates fail 
related to defect 0036151 closedcaristu organization selector in process definition don't filter by role's org access 
blocks defect 0036170 closedmarkmm82 Improvements in GrantAccessToProcessDefinition module script to fix CI inestability 
causes defect 0037926 closedmarkmm82 Purchase reports with invoiced purchases shows no data in Excel format 

-  Notes
(0097061)
hgbot (developer)
2017-05-31 17:04

Repository: erp/devel/pi
Changeset: c389a2ee19ab9a68d59ce06deb566e26b87ff0b4
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Tue May 30 17:40:13 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c389a2ee19ab9a68d59ce06deb566e26b87ff0b4 [^]

Fixes issue 33035: Purchase Order Report Refactor

---
M modules/org.openbravo.v3.datasets/referencedata/standard/V3_Roles.xml
M modules/org.openbravo.v3.datasets/src-db/database/sourcedata/AD_DATASET.xml
M modules/org.openbravo.v3.datasets/src-db/database/sourcedata/AD_DATASET_TABLE.xml
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/OBUIAPP_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/OBUIAPP_PROCESS_ACCESS.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src-db/database/sourcedata/OBUIAPP_REPORT.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src/org/openbravo/erpCommon/ad_reports/ReportPurchaseOrder.jrxml
A src-util/modulescript/build/classes/org/openbravo/modulescript/GrantAccessToProcessDefinition.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/GrantAccessToProcessDefinitionData.class
A src-util/modulescript/src/org/openbravo/modulescript/GrantAccessToProcessDefinition.java
A src-util/modulescript/src/org/openbravo/modulescript/GrantAccessToProcessDefinition_data.xsql
A src/org/openbravo/erpCommon/ad_reports/ReportPurchaseOrderXLS.jrxml
---
(0097062)
hgbot (developer)
2017-05-31 17:04

Repository: erp/devel/pi
Changeset: bd4e27a4cef575218cf0d43aaa32203d80ad7f7a
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Wed May 31 17:00:14 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bd4e27a4cef575218cf0d43aaa32203d80ad7f7a [^]

Related to issue 33035: Improved GrantAccessToProcessDefinition modulescript

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/GrantAccessToProcessDefinition.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/GrantAccessToProcessDefinitionData.class
M src-util/modulescript/src/org/openbravo/modulescript/GrantAccessToProcessDefinition.java
M src-util/modulescript/src/org/openbravo/modulescript/GrantAccessToProcessDefinition_data.xsql
---
(0097190)
vmromanos (developer)
2017-06-07 11:06

Code review + testing OK
(0097226)
hudsonbot (developer)
2017-06-08 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fda0f16ab470 [^]
Maturity status: Test
(0097227)
hudsonbot (developer)
2017-06-08 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fda0f16ab470 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-24 12:25 airaceburu New Issue
2016-05-24 12:25 airaceburu Assigned To => Triage Finance
2016-05-24 12:25 airaceburu Modules => Core
2016-05-24 12:25 airaceburu Triggers an Emergency Pack => No
2016-05-24 12:25 airaceburu Assigned To Triage Finance => airaceburu
2017-04-05 12:19 airaceburu Description Updated View Revisions
2017-04-05 13:10 vmromanos Relationship added related to 0035701
2017-04-05 13:16 vmromanos Relationship added related to 0035702
2017-04-06 17:26 airaceburu Relationship added related to 0035718
2017-05-31 17:04 hgbot Checkin
2017-05-31 17:04 hgbot Note Added: 0097061
2017-05-31 17:04 hgbot Status new => resolved
2017-05-31 17:04 hgbot Resolution open => fixed
2017-05-31 17:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c389a2ee19ab9a68d59ce06deb566e26b87ff0b4 [^]
2017-05-31 17:04 hgbot Checkin
2017-05-31 17:04 hgbot Note Added: 0097062
2017-06-02 12:55 vmromanos Relationship added blocks 0036170
2017-06-07 11:06 vmromanos Review Assigned To => vmromanos
2017-06-07 11:06 vmromanos Note Added: 0097190
2017-06-07 11:06 vmromanos Status resolved => closed
2017-06-07 11:06 vmromanos Fixed in Version => 3.0PR17Q3
2017-06-08 17:12 hudsonbot Checkin
2017-06-08 17:12 hudsonbot Note Added: 0097226
2017-06-08 17:12 hudsonbot Checkin
2017-06-08 17:12 hudsonbot Note Added: 0097227
2017-09-12 09:04 alostale Relationship added related to 0036834
2017-09-18 12:41 caristu Relationship added related to 0036151
2018-02-15 11:46 caristu Relationship added causes 0037926


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker